#!/usr/bin/perl
# Generated automatically from rm_twit.pl.in by configure.

use lib '/usr/share/news-peruser';
use Peruser;

unless( safe_open( \*TWITS, "$home/.peruser4-twits" ))
{
   feedback( "No twits exist." );
   exit 0;
}

while( <TWITS> )
{
   push @twits, $_;

   ++$count;
   $list .= "$count: $_\\n";
}

safe_close( \*TWITS );

$query = "'$list\\nEnter the number of a twit\\nyou would to remove" .
   " from the list.'";
$twit = `npgettext $query`;

exit( 0 ) if ( $twit eq '(cancelled)' );

if ( not $twit =~ /^[1-9]+[0-9]*$/ )
{
   feedback( "Value input was not a number\n" );
   exit( 1 );
}

if ( $twit < 1 || $twit > $count )
{
   feedback( "Filter index out of range\n" );
   exit( 1 );
}

$path = "$home/.peruser4-twits";
$tmp = "$path:tmp";

exit( 1 ) unless( safe_open( \*TWITS, $path ));
exit( 1 ) unless( safe_open( \*TEMP, ">$tmp" ));

$count = 0;

my $pattern;

while( <TWITS> )
{
   if ( ++$count == $twit )
   {
      $pattern = $_;
      next;
   }

   print TEMP $_;
}

safe_close( \*TEMP );
safe_close( \*TWITS );

rename( $tmp, $path );

feedback( "$pattern has been removed from the list" );

exit( 0 );
