#!/usr/bin/perl
# Generated automatically from add_twit.pl.in by configure.

use lib '/usr/share/news-peruser';
use Peruser;

# This script allows the user to add an entry in ~/.peruser4-twits,
# consisting of a regular expression filter to be applied to the 
# From: header of articles.

$query = "'Enter a regular expression to match against\\n" .
   "the From: header lines of articles.'";
$twit = `npgettext $query`;

exit( 0 ) if ( $twit eq '(cancelled)' );

$file = "$home/.peruser4-twits";

if ( -e $file )
{
   $how = ">>";
}
else
{
   $how= ">";
}

unless( safe_open( \*TWITS, "$how$file" ))
{
   feedback( "Cannot open $file: $!\n" );
   exit 0;
}

print TWITS "$twit\n";

safe_close( \*TWITS );

0;
